package com.mwq.dao;

import java.sql.*;

public class JDBC {

	private static final String DRIVERCLASS = "com.microsoft.sqlserver.jdbc.SQLServerDriver";

	private static final String URL = "jdbc:sqlserver://127.0.0.1:1433;DatabaseName=db_DrinkeryManage";

	private static final String USERNAME = "sa";

	private static final String PASSWORD = "";

	private static final ThreadLocal<Connection> threadLocal = new ThreadLocal<Connection>();

	static {// ̬ͨݿ
		try {
			Class.forName(DRIVERCLASS).newInstance();// ݿ
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public static Connection getConnection() {// ݿӵķ
		Connection conn = threadLocal.get();// ߳лݿ
		if (conn == null) {// ûпõݿ
			try {
				conn = DriverManager.getConnection(URL, USERNAME, PASSWORD);// µݿ
				threadLocal.set(conn);// ݿӱ浽߳
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
		return conn;
	}

	public static boolean closeConnection() {// رݿӵķ
		boolean isClosed = true;
		Connection conn = threadLocal.get();// ߳лݿ
		threadLocal.set(null);// ߳еݿ
		if (conn != null) {// ݿӿ
			try {
				conn.close();// رݿ
			} catch (SQLException e) {
				isClosed = false;
				e.printStackTrace();
			}
		}
		return isClosed;
	}

}
