package com.mingrisoft.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import com.mingrisoft.bean.Sell;
import com.mingrisoft.bean.Stock;

public class StockDao {

	GetConnection connection = new GetConnection();
	Connection conn = null;
	// Ӳɹ
public void insertStock(Stock stock) {
	conn = connection.getCon();			//ȡݿ
	try {
		PreparedStatement statement = conn
				.prepareStatement("insert into tb_stock values(?,?,?,?,?,?)");	//ѯݵSQL
		statement.setString(1,stock.getsName());			//Ԥ
		statement.setString(2,stock.getOrderId());			
		statement.setString(3,stock.getConsignmentDate());
		statement.setString(4,stock.getBaleName());
		statement.setString(5,stock.getCount());
		statement.setFloat(6,stock.getMoney());			
		statement.executeUpdate();							//ִв
	} catch (SQLException e) {
		e.printStackTrace();
	}
}

	// ѯɹȫݷ
	public List selectStock() {
		List list = new ArrayList<Sell>();
		conn = connection.getCon();
		try {
			Statement statement = conn.createStatement();
			ResultSet rest = statement.executeQuery("select * from tb_stock");
			while (rest.next()) {
				Stock stock = new Stock();
				stock.setId(rest.getInt(1));
				stock.setsName(rest.getString(2));
				stock.setOrderId(rest.getString(3));
				stock.setConsignmentDate(rest.getString(4));
				stock.setBaleName(rest.getString(5));
				stock.setCount(rest.getString(6));
				stock.setMoney(rest.getFloat(7));			
				list.add(stock);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}

		return list;
	}
	// 嶩Ųѯֿݷ
	public int selectJoinStockByOid(String oid) {
		List list = new ArrayList<Sell>();
		conn = connection.getCon();
		int id = 0;
		try {
			Statement statement = conn.createStatement();
			ResultSet rest = statement.executeQuery("select id from tb_joinDepot where oid ='"+oid+"'");
			while (rest.next()) {
				id = rest.getInt(1);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}

		return id;
	}
	// 尴Ʒѯݷ
public List selectStockBySName(String sName) {
	List list = new ArrayList<Stock>();			//屣ѯList
	conn = connection.getCon();					//ȡݿ
	int id = 0;
	try {
		Statement statement = conn.createStatement();	//ʵStatement
		ResultSet rest = statement.executeQuery("select * from tb_stock where sName ='"+sName+"'");	//ѯ䣬ȡѯ
		while (rest.next()) {					//ѭѯ
			Stock stock = new Stock();			//ݱJavaBean
			stock.setId(rest.getInt(1));		//ӦòѯJavaBean
			stock.setsName(rest.getString(2));
			stock.setOrderId(rest.getString(3));
			stock.setConsignmentDate(rest.getString(4));
			stock.setBaleName(rest.getString(5));
			stock.setCount(rest.getString(6));
			stock.setMoney(rest.getFloat(7));
			list.add(stock);					//JavaBeanӵ
		}
	} catch (SQLException e) {
		e.printStackTrace();
	}
	return list;								//زѯ
}
	// 尴Ųѯݷ
	public List selectStockByOid(String oId) {
		List list = new ArrayList<Stock>();
		conn = connection.getCon();
		int id = 0;
		try {
			Statement statement = conn.createStatement();
			ResultSet rest = statement.executeQuery("select * from tb_stock where orderId = '"+oId+"'");
			while (rest.next()) {
				Stock stock = new Stock();
				stock.setId(rest.getInt(1));
				stock.setsName(rest.getString(2));
				stock.setOrderId(rest.getString(3));
				stock.setConsignmentDate(rest.getString(4));
				stock.setBaleName(rest.getString(5));
				stock.setCount(rest.getString(6));
				stock.setMoney(rest.getFloat(7));
				list.add(stock);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
		return list;
	}
	// 尴ڲѯݷ
	public List selectStockByDate(String cDate) {
		List list = new ArrayList<Stock>();
		conn = connection.getCon();
		int id = 0;
		try {
			Statement statement = conn.createStatement();
			ResultSet rest = statement.executeQuery("select * from tb_stock where consignmentDate = '"+cDate+"'");
			while (rest.next()) {
				Stock stock = new Stock();
				stock.setId(rest.getInt(1));
				stock.setsName(rest.getString(2));
				stock.setOrderId(rest.getString(3));
				stock.setConsignmentDate(rest.getString(4));
				stock.setBaleName(rest.getString(5));
				stock.setCount(rest.getString(6));
				stock.setMoney(rest.getFloat(7));
				list.add(stock);
			}
		} catch (SQLException e) {
			e.printStackTrace();
		}
		return list;
	}
	// дŲѯϢ
public Stock selectStockByid(int id) {
	Stock stock = new Stock();		//ݿӦJavaBean
	conn = connection.getCon();		//ȡݿ
	try {
		Statement statement = conn.createStatement();
		String sql = "select * from tb_stock where id = " + id;		//ѯSQL
		ResultSet rest = statement.executeQuery(sql);				//ִвѯȡѯ
		while (rest.next()) {		//ѭѯ
			stock.setId(id);									//Ӧòѯö
			stock.setsName(rest.getString(2));
			stock.setOrderId(rest.getString(3));
			stock.setConsignmentDate(rest.getString(4));
			stock.setBaleName(rest.getString(5));				
			stock.setCount(rest.getString(6));
			stock.setMoney(rest.getFloat(7));			
		}
	} catch (SQLException e) {
		e.printStackTrace();
	}
	return stock;						//Stock
}

	
	// ޸ĹӦϢ
public void updateStock(Stock stock) {
	conn = connection.getCon();					//ȡݿ
	try {
		String sql = "update tb_stock set sName=?,orderId=?,consignmentDate=?," +
				"baleName=?,count=?,money=? where id =?";			//޸ݱ
		PreparedStatement statement = conn.prepareStatement(sql);	//ȡPreparedStatement
		statement.setString(1, stock.getsName());					//Ԥֵ
		statement.setString(2, stock.getOrderId());
		statement.setString(3, stock.getConsignmentDate());
		statement.setString(4, stock.getBaleName());
		statement.setString(5, stock.getCount());
		statement.setFloat(6, stock.getMoney());
		statement.setInt(7, stock.getId());
		statement.executeUpdate();									//ִи
	} catch (SQLException e) {
		e.printStackTrace();
	}
}

	// ɾӦϢ
public void deleteStock(int id){
	conn = connection.getCon();							//ȡݿ
	String sql = "delete from tb_stock where id ="+id;	//ɾSQL
	try {
		Statement statement = conn.createStatement();	//ʵStatement
		statement.executeUpdate(sql);					//ִSQL
	} catch (SQLException e) {			
		e.printStackTrace();
	}		
}
}
