package com.mwq.frame;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.net.URL;
import java.util.Vector;

import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JPasswordField;

import com.mwq.dao.Dao;
import com.mwq.mwing.MPanel;

public class LandFrame extends JFrame {

	private JPasswordField passwordField;// 

	private JComboBox usernameComboBox;// û˵

	public static void main(String args[]) {
		try {
			LandFrame frame = new LandFrame();
			frame.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public LandFrame() {
		// ôڵϢ
		super();// øĹ췽
		setTitle(" T Ƽ");// ôڵı
		setResizable(false);// ôڲԸıС
		setAlwaysOnTop(true);// ôǰ
		setBounds(100, 100, 428, 292);// ôڵĴС
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);// õرմʱִеĶ

		// 潫һӵڵ
		final MPanel panel = new MPanel(this.getClass().getResource(
				"/img/land_background.jpg"));// һ
		panel.setLayout(new GridBagLayout());// ĲֹΪ鲼
		getContentPane().add(panel, BorderLayout.CENTER);// ӵ

		final JLabel topLabel = new JLabel();
		topLabel.setPreferredSize(new Dimension(0, 126));
		final GridBagConstraints gridBagConstraints_5 = new GridBagConstraints();
		gridBagConstraints_5.gridx = 0;
		gridBagConstraints_5.gridy = 0;
		panel.add(topLabel, gridBagConstraints_5);

		final JLabel leftLabel = new JLabel();
		leftLabel.setPreferredSize(new Dimension(140, 0));
		final GridBagConstraints gridBagConstraints_3 = new GridBagConstraints();
		gridBagConstraints_3.gridy = 1;
		gridBagConstraints_3.gridx = 0;
		panel.add(leftLabel, gridBagConstraints_3);

		final JLabel rightLabel = new JLabel();
		rightLabel.setPreferredSize(new Dimension(55, 0));
		final GridBagConstraints gridBagConstraints_2 = new GridBagConstraints();
		gridBagConstraints_2.gridy = 1;
		gridBagConstraints_2.gridx = 1;
		panel.add(rightLabel, gridBagConstraints_2);

		// û˵
		usernameComboBox = new JComboBox();// û˵
		usernameComboBox.setMaximumRowCount(5);// ˵ʾѡ
		usernameComboBox.addItem("ѡ");// Ϊ˵ʾ
		usernameComboBox
				.addActionListener(new UsernameComboBoxActionListener());// Ϊ˵¼
		final GridBagConstraints gridBagConstraints = new GridBagConstraints();// 鲼ֹ
		gridBagConstraints.anchor = GridBagConstraints.WEST;// Ϊʾ
		gridBagConstraints.gridy = 1;// Ϊ1
		gridBagConstraints.gridx = 2;// Ϊ2
		panel.add(usernameComboBox, gridBagConstraints);// ָĲֹӵ

		// 
		passwordField = new JPasswordField();// 
		passwordField.setColumns(20);// ʾַ
		passwordField.setText("      ");// Ĭʾ6ո
		passwordField.addFocusListener(new PasswordFieldFocusListener());// Ϊӽ
		final GridBagConstraints gridBagConstraints_1 = new GridBagConstraints();// 鲼ֹ
		gridBagConstraints_1.insets = new Insets(5, 0, 0, 0);// ⲿϷΪ5
		gridBagConstraints_1.anchor = GridBagConstraints.WEST;// Ϊʾ
		gridBagConstraints_1.gridy = 2;// Ϊ2
		gridBagConstraints_1.gridx = 2;// Ϊ2
		panel.add(passwordField, gridBagConstraints_1);// ָĲֹӵ

		// һť
		final JPanel buttonPanel = new JPanel();// һӰť
		buttonPanel.setOpaque(false);// ıΪ͸
		buttonPanel.setLayout(new BoxLayout(buttonPanel, BoxLayout.X_AXIS));// ˮƽ䲼
		final GridBagConstraints gridBagConstraints_4 = new GridBagConstraints();// 鲼ֹ
		gridBagConstraints_4.insets = new Insets(10, 0, 0, 0);// ⲿϷΪ10
		gridBagConstraints_4.gridwidth = 2;// ռ
		gridBagConstraints_4.gridy = 3;// Ϊ3
		gridBagConstraints_4.gridx = 1;// Ϊ1
		panel.add(buttonPanel, gridBagConstraints_4);// ָĲֹӵ

		// һ¼ťӵӰť
		final JButton landButton = new JButton();// ¼ť
		landButton.setMargin(new Insets(0, 0, 0, 0));// ðť߿ͱǩ֮ļ
		landButton.setContentAreaFilled(false);// òưť
		landButton.setBorderPainted(false);// òưťı߿
		URL landUrl = this.getClass().getResource("/img/land_submit.png");// Ĭµ¼ťʾͼƬURL
		landButton.setIcon(new ImageIcon(landUrl));// Ĭµ¼ťʾͼƬ
		URL landOverUrl = this.getClass().getResource(
				"/img/land_submit_over.png");// õ꾭¼ťʱʾͼƬURL
		landButton.setRolloverIcon(new ImageIcon(landOverUrl));// õ꾭¼ťʱʾͼƬ
		URL landPressedUrl = this.getClass().getResource(
				"/img/land_submit_pressed.png");// õ¼ťʱʾͼƬURL
		landButton.setPressedIcon(new ImageIcon(landPressedUrl));// õ¼ťʱʾͼƬ
		landButton.addActionListener(new LandButtonActionListener());// Ϊ¼ť¼
		buttonPanel.add(landButton);// ¼ťӵӰť

		final JButton resetButton = new JButton();
		resetButton.setMargin(new Insets(0, 0, 0, 0));
		resetButton.setContentAreaFilled(false);
		resetButton.setBorderPainted(false);
		URL resetUrl = this.getClass().getResource("/img/land_reset.png");
		resetButton.setIcon(new ImageIcon(resetUrl));
		URL resetOverUrl = this.getClass().getResource(
				"/img/land_reset_over.png");
		resetButton.setRolloverIcon(new ImageIcon(resetOverUrl));
		URL resetPressedUrl = this.getClass().getResource(
				"/img/land_reset_pressed.png");
		resetButton.setPressedIcon(new ImageIcon(resetPressedUrl));
		resetButton.addActionListener(new ResetButtonActionListener());
		buttonPanel.add(resetButton);

		final JButton exitButton = new JButton();
		exitButton.setMargin(new Insets(0, 0, 0, 0));
		exitButton.setContentAreaFilled(false);
		exitButton.setBorderPainted(false);
		URL exitUrl = this.getClass().getResource("/img/land_exit.png");
		exitButton.setIcon(new ImageIcon(exitUrl));
		URL exitOverUrl = this.getClass()
				.getResource("/img/land_exit_over.png");
		exitButton.setRolloverIcon(new ImageIcon(exitOverUrl));
		URL exitPressedUrl = this.getClass().getResource(
				"/img/land_exit_pressed.png");
		exitButton.setPressedIcon(new ImageIcon(exitPressedUrl));
		exitButton.addActionListener(new ExitButtonActionListener());
		buttonPanel.add(exitButton);
		//

		// ʼû˵
		Vector userNameV = Dao.getInstance().sUserNameOfNotFreeze();
		if (userNameV.size() == 0) {
			usernameComboBox.addItem("TSoft");
		} else {
			for (int i = 0; i < userNameV.size(); i++) {
				usernameComboBox.addItem(userNameV.get(i));
			}
		}

	}

	class UsernameComboBoxActionListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			String userName = (String) usernameComboBox.getSelectedItem();
			if (userName.equals("TSoft"))
				passwordField.setText("111");
		}
	}

	class PasswordFieldFocusListener implements FocusListener {
		public void focusGained(FocusEvent e) {
			passwordField.setText("");
		}

		public void focusLost(FocusEvent e) {
			char[] passwords = passwordField.getPassword();
			String password = turnCharsToString(passwords);
			if (password.length() == 0) {
				passwordField.setText("      ");
			}
		}
	}

	class ExitButtonActionListener implements ActionListener {
		public void actionPerformed(ActionEvent arg0) {
			System.exit(0);
		}
	}

	class ResetButtonActionListener implements ActionListener {
		public void actionPerformed(ActionEvent arg0) {
			usernameComboBox.setSelectedIndex(0);
			passwordField.setText("      ");
		}
	}

	class LandButtonActionListener implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			String username = usernameComboBox.getSelectedItem().toString();// õ¼û
			if (username.equals("ѡ")) {// 鿴Ƿѡ˵¼û
				JOptionPane.showMessageDialog(null, "ѡ¼û", "ʾ",
						JOptionPane.INFORMATION_MESSAGE);// ʾ
				resetUsernameAndPassword();// ָ¼û͵¼
			}
			char[] passwords = passwordField.getPassword();// õ¼û
			String inputPassword = turnCharsToString(passwords);// charתַ
			if (username.equals("TSoft")) {// 鿴ǷΪĬû¼
				if (inputPassword.equals("111")) {// 鿴ǷΪĬ
					land(null);// ¼ɹ
					String infos[] = { "̵ûťû",
							"ûҪµ¼ϵͳʹã" };// ֯ʾϢ
					JOptionPane.showMessageDialog(null, infos, "ʾ",
							JOptionPane.INFORMATION_MESSAGE);// ʾ
				} else {// 
					JOptionPane.showMessageDialog(null,
							"ĬûTSoftĵ¼Ϊ111", "ʾ",
							JOptionPane.INFORMATION_MESSAGE);// ʾ
					passwordField.setText("111");// ΪĬ
				}
			} else {
				if (inputPassword.length() == 0) {// ûδ¼
					JOptionPane.showMessageDialog(null, "¼룡", "ʾ",
							JOptionPane.INFORMATION_MESSAGE);// ʾ
					resetUsernameAndPassword();// ָ¼û͵¼
				}
				Vector user = Dao.getInstance().sUserByName(username);// ѯ¼û
				String password = user.get(5).toString();// õ¼û
				if (inputPassword.equals(password)) {// 鿴¼Ƿȷ
					land(user);// ¼ɹ
				} else {// ¼
					JOptionPane.showMessageDialog(null, "¼ȷϺµ¼",
							"ʾ", JOptionPane.INFORMATION_MESSAGE);// ʾ
					resetUsernameAndPassword();// ָ¼û͵¼
				}
			}
		}

		private void resetUsernameAndPassword() {// ָ¼û͵¼
			usernameComboBox.setSelectedIndex(0);// ָѡеĵ¼ûΪѡ
			passwordField.setText("      ");// ָĬֵΪ6ո
			return;// ֱӷ
		}

		private void land(Vector user) {// ¼ɹ
			TipWizardFrame tipWizard = new TipWizardFrame(user);// 
			tipWizard.setVisible(true);// ɼ
			setVisible(false);// õ¼ڲɼ
		}

	}

	private String turnCharsToString(char[] chars) {
		StringBuffer strBuf = new StringBuffer();
		for (int i = 0; i < chars.length; i++) {
			strBuf.append(chars[i]);
		}
		return strBuf.toString().trim();
	}
}
