package com.mwq.frame.manage;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Vector;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.table.DefaultTableModel;

import com.mwq.dao.Dao;
import com.mwq.dao.JDBC;
import com.mwq.mwing.MTable;
import com.mwq.tool.Validate;

public class DeskNumDialog extends JDialog {

	private JTable table;

	private JTextField seatingTextField;

	private JTextField numTextField;

	private final Vector columnNameV = new Vector();

	private final DefaultTableModel tableModel = new DefaultTableModel();

	private final Dao dao = Dao.getInstance();

	private JTable openedDeskTable;

	/**
	 * Launch the application
	 * 
	 * @param args
	 */
	public static void main(String args[]) {
		try {
			DeskNumDialog dialog = new DeskNumDialog(null);
			dialog.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog
	 */
	public DeskNumDialog(JTable rightTable) {
		super();
		setModal(true);
		getContentPane().setLayout(new BorderLayout());
		setResizable(false);
		setTitle("̨Ź");
		setBounds(100, 100, 500, 375);

		this.openedDeskTable = rightTable;

		final JPanel operatePanel = new JPanel();
		getContentPane().add(operatePanel, BorderLayout.NORTH);

		final JLabel numLabel = new JLabel();
		operatePanel.add(numLabel);
		numLabel.setText("̨  ţ");

		numTextField = new JTextField();
		numTextField.setColumns(6);
		operatePanel.add(numTextField);

		final JLabel seatingLabel = new JLabel();
		operatePanel.add(seatingLabel);
		seatingLabel.setText("  λ");

		seatingTextField = new JTextField();
		seatingTextField.setColumns(5);
		operatePanel.add(seatingTextField);

		final JLabel topPlaceholderLabel = new JLabel();
		topPlaceholderLabel.setPreferredSize(new Dimension(20, 40));
		operatePanel.add(topPlaceholderLabel);

		final JButton addButton = new JButton();//̨Űť
		addButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				String num = numTextField.getText().trim();// ȡ̨ţȥβո
				String seating = seatingTextField.getText().trim();// ȡλȥβո
				if (num.equals("") || seating.equals("")) {// 鿴ûǷ̨źλ
					JOptionPane.showMessageDialog(null, "̨źλ", "ʾ",
							JOptionPane.INFORMATION_MESSAGE);
					return;
				}
				if (num.length() > 5) {// 鿴̨ŵĳǷ񳬹5λ
					JOptionPane.showMessageDialog(null, "ֻ̨Ϊ5ַ", "ʾ",
							JOptionPane.INFORMATION_MESSAGE);
					numTextField.requestFocus();// Ϊ̨ıý
					return;
				}
				if (!Validate.execute("[1-9]{1}([0-9]{0,1})", seating)) {// ֤λǷ119֮
					String[] infos = { "λ", "λ 199 ֮䣡" };
					JOptionPane.showMessageDialog(null, infos, "ʾ",
							JOptionPane.INFORMATION_MESSAGE);
					seatingTextField.requestFocus();// Ϊλıý
					return;
				}
				if (dao.sDeskByNum(num) != null) {// 鿴̨ǷѾ
					JOptionPane.showMessageDialog(null, "̨Ѿڣ", "ʾ",
							JOptionPane.INFORMATION_MESSAGE);
					numTextField.requestFocus();// Ϊ̨ıý
					return;
				}
				int row = table.getRowCount();// õǰӵ̨ŵĸ
				Vector newDeskNumV = new Vector();// һ̨ŵ
				newDeskNumV.add(new Integer(row + 1));// 
				newDeskNumV.add(num);// ̨
				newDeskNumV.add(seating);// λ
				tableModel.addRow(newDeskNumV);// ̨Ϣӵ
				table.setRowSelectionInterval(row, row);// ӵ̨Ϊѡе
				numTextField.setText(null);// ̨ıΪ
				seatingTextField.setText(null);// λıΪ
				//
				dao.iDesk(num, seating);// ӵ̨Ϣ浽ݿ
				JDBC.closeConnection();// رݿ
			}
		});
		addButton.setText("");
		operatePanel.add(addButton);

		final JButton delButton = new JButton();//ɾ̨Űť
		delButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				int selectedRow = table.getSelectedRow();// ѡеĲ̨
				if (selectedRow == -1) {// δѡκβ̨
					JOptionPane.showMessageDialog(null, "ѡҪɾĲ̨", "ʾ",
							JOptionPane.INFORMATION_MESSAGE);
				} else {
					String deskNum = table.getValueAt(selectedRow, 1)
							.toString();// ѡв̨ı
					for (int row = 0; row < openedDeskTable.getRowCount(); row++) {// 鿴ǫ̀Ƿڱʹ
						if (deskNum.equals(openedDeskTable.getValueAt(row, 1))) {
							JOptionPane.showMessageDialog(null,
									"ǫ̀ʹãɾ", "ʾ",
									JOptionPane.INFORMATION_MESSAGE);
							return;// ǫ̀ڱʹãɾ
						}
					}
					String infos[] = new String[] {// ֯ȷϢ
							"ȷҪɾ̨",
							"    ̨  ţ" + deskNum,
							"    λ"
									+ table.getValueAt(selectedRow, 2)
											.toString() };
					int i = JOptionPane.showConfirmDialog(null, infos, "ʾ",
							JOptionPane.YES_NO_OPTION);// ȷʾ
					if (i == 0) {// ȷɾ
						dao.dDeskByNum(deskNum);// ݿɾ
						tableModel.setDataVector(dao.sDesk(), columnNameV);// ˢ±
						int rowCount = table.getRowCount();// ɾӵеĲ̨
						if (rowCount > 0) {// ӵв̨
							if (selectedRow == rowCount)// ɾΪһ̨
								selectedRow -= 1;// ѡеĲ̨ǰһ
							table.setRowSelectionInterval(selectedRow,
									selectedRow);// õǰѡеĲ̨
						}
						JDBC.closeConnection();// رݿ
					}
				}
			}
		});
		delButton.setText("ɾ");
		operatePanel.add(delButton);

		final JScrollPane scrollPane = new JScrollPane();
		getContentPane().add(scrollPane);

		String columnNames[] = new String[] { "  ", "̨  ", "λ" };
		for (int i = 0; i < columnNames.length; i++) {
			columnNameV.add(columnNames[i]);
		}

		tableModel.setDataVector(dao.sDesk(), columnNameV);
		JDBC.closeConnection();

		table = new MTable(tableModel);
		if (table.getRowCount() > 0)
			table.setRowSelectionInterval(0, 0);
		scrollPane.setViewportView(table);

		final JLabel leftPlaceholderLabel = new JLabel();
		leftPlaceholderLabel.setPreferredSize(new Dimension(20, 20));
		getContentPane().add(leftPlaceholderLabel, BorderLayout.WEST);

		final JPanel exitPanel = new JPanel();
		final FlowLayout flowLayout = new FlowLayout();
		flowLayout.setAlignment(FlowLayout.RIGHT);
		exitPanel.setLayout(flowLayout);
		getContentPane().add(exitPanel, BorderLayout.SOUTH);

		final JButton exitButton = new JButton();
		exitPanel.add(exitButton);
		exitButton.setText("˳");
		exitButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				dispose();
			}
		});

		final JLabel bottomPlaceholderLabel = new JLabel();
		bottomPlaceholderLabel.setPreferredSize(new Dimension(10, 40));
		exitPanel.add(bottomPlaceholderLabel);

		final JLabel rightPlaceholderLabel = new JLabel();
		rightPlaceholderLabel.setPreferredSize(new Dimension(20, 20));
		getContentPane().add(rightPlaceholderLabel, BorderLayout.EAST);
		//
	}
}
